<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty mbtruncate modifier plugin
 *
 * Type:     modifier<br>
 * Name:     hostbyname<br>
 * Purpose:  インターネットホスト名に対応するIPアドレスを取得する
 * @author   Yuki Yoshioka
 * @param string
 * @return string
 */
function smarty_modifier_hostbyname($string)
{
	return gethostbyaddr($string);
}

/* vim: set expandtab: */

?>
